FROM 'python:3.6-jessie'
RUN apt-get -qq -yy update
RUN apt-get -qq -yy install git freetds-dev  freetds-common freetds-bin libxml-xpath-perl curl
RUN apt-get -qq -yy install apache2 apache2-dev python-dev
ENV TZ=Etc/UTC
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone
COPY devdeploy.sh /
COPY devdeploy-local.sh /
COPY flaskapp.wsgi /var/www/
COPY apiclient.conf /etc/apache2/sites-available/
COPY wsgi.load /etc/apache2/mods-available/
RUN chmod +x /devdeploy.sh
RUN chmod +x /devdeploy-local.sh
RUN mkdir /flask/
ARG workdir
ENV workdir=${workdir}
RUN ln -sf /proc/self/fd/1 /var/log/apache2/access.log && \
    ln -sf /proc/self/fd/1 /var/log/apache2/error.log
ENTRYPOINT /devdeploy-local.sh ${workdir}
